Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454027 - aic94xx unable to load firmware during boot
Summary: aic94xx unable to load firmware during boot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 21:34 UTC by Gustavo Junior Alves
Modified: 2009-05-06 15:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-06 15:22:33 UTC


Attachments (Terms of Use)
bugfix for /sbin/mkinitrd (deleted)
2008-08-05 13:56 UTC, Ivan Afonichev
no flags Details | Diff

Description Gustavo Junior Alves 2008-07-03 21:34:46 UTC
Description of problem:
aic79xx 1.0.2 in fc6 2.6.18-1.2798 does not load microcode or work with 
Adaptec AIC-9410W SAS/SATA Host Adapter
aic79xx 1.0.2 in fc6 2.6.20-1.2948 does load micorcode and does work with
Adaptec AIC-9410W SAS/SATA Host Adapter but only if the system is booted
using a different boot disk.
There are two problems here.
1) mkinitrd does not put the /lib/firmware files into initrd
2) if the /lib/firmware file (aic94xx-seq.fw) required by aic94xx
is put into the initrd image manually, then when aic94xx is loaded by
the init nash script, aic94xx can't load the firmware file
aic94xx: Failed to load sequencer firmware file aic94xx-seq.fw, error -2

Once the system has loaded, rmmod aic94xx followed by modprobe aic94xx
correctly loads aic94xx

Looking at aic94xx code, only the firmware name is passed to the
request_firmware routine. Think this might be part of firmware_class.c
in drivers/base but not able to make much sense of this code.

Version-Release number of selected component (if applicable):
fc6 2.6.20-1.2948

How reproducible:
boot system that has aic94xx in the initrd image

Steps to Reproduce:
1.Find system with Adaptec AIC-9410W SAS/SATA Host Adapter
2.Add SCSI adapter and disk and build system on this disk
3.Run mkinitrd having checked that aic94xx is in modprobe.conf
  
Actual results:
aic94xx: Failed to load sequencer firmware file aic94xx-seq.fw, error -2

Expected results:
aic94xx: using sequencer V30
scsi 3:0:0:0: Direct-Access     FUJITSU  MAX3073RC        0104 PQ: 0 ANSI: 3


Additional info:
Suggestions on a quick fix would be helpful as I really don't want
to use external disks with this system.

This bug is was closed as bug 240105

Comment 1 Gustavo Junior Alves 2008-07-10 19:04:16 UTC
This issue was resolved with "ln -s /firmware $MNTIMAGE/lib/" on line 1423 of
mkinitrd.

I hope this bug will be resolved soon.

Comment 2 Ivan Afonichev 2008-08-05 13:56:58 UTC
Created attachment 313453 [details]
bugfix for /sbin/mkinitrd

I attached patch with relative path in symbolic link

Comment 3 Jeremy Katz 2009-05-06 15:22:33 UTC
This should be fixed in current mkinitrd (not with this patch, but by using /lib/firmware consistently)


Note You need to log in before you can comment on or make changes to this bug.